---
title: "Get role template by name"
url: https://hexelstudio.com/docs/api/ciam-iam/role-templates/get
---

# Get role template by name

**GET** `/role-templates/{name}`

## Path parameters

- `name: string`

  Template Name

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`RoleTemplate`)

- `created_at: optional string`

- `description: optional string`

- `display_name: optional string`

- `id: optional string`

- `name: optional string`

- `permissions: optional array of string`

- `scope: optional string`

- `updated_at: optional string`

## Errors

- `404` Not Found

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/role-templates/{name}' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
{
  "created_at": "2026-01-01T00:00:00Z",
  "description": "string",
  "display_name": "string",
  "id": "string",
  "name": "string",
  "permissions": [
    "string"
  ],
  "scope": "string",
  "updated_at": "2026-01-01T00:00:00Z"
}
```

### Response (404)

```json
{
  "key": "string"
}
```
